# Constant Field Values

Contents

- com.google.*

com.google.*

com.google.debugging.sourcemap.proto.Mapping.LineMapping
`public static final int` | `COLUMN_POSITION_FIELD_NUMBER` | `2`
`public static final int` | `LINE_NUMBER_FIELD_NUMBER` | `1`
`public static final int` | `ORIGINAL_MAPPING_FIELD_NUMBER` | `3`

com.google.debugging.sourcemap.proto.Mapping.OriginalMapping
`public static final int` | `COLUMN_POSITION_FIELD_NUMBER` | `3`
`public static final int` | `IDENTIFIER_FIELD_NUMBER` | `4`
`public static final int` | `LINE_NUMBER_FIELD_NUMBER` | `2`
`public static final int` | `ORIGINAL_FILE_FIELD_NUMBER` | `1`

com.google.javascript.jscomp.CallGraph
`public static final String` | `MAIN_FUNCTION_NAME` | `"{main}"`

com.google.javascript.jscomp.FunctionInformationMap
`public static final int` | `ENTRY_FIELD_NUMBER` | `1`
`public static final int` | `MODULE_FIELD_NUMBER` | `101`

com.google.javascript.jscomp.FunctionInformationMap.Entry
`public static final int` | `COMPILED_SOURCE_FIELD_NUMBER` | `8`
`public static final int` | `ID_FIELD_NUMBER` | `2`
`public static final int` | `LINE_NUMBER_FIELD_NUMBER` | `4`
`public static final int` | `MODULE_NAME_FIELD_NUMBER` | `5`
`public static final int` | `NAME_FIELD_NUMBER` | `7`
`public static final int` | `SIZE_FIELD_NUMBER` | `6`
`public static final int` | `SOURCE_NAME_FIELD_NUMBER` | `3`

com.google.javascript.jscomp.FunctionInformationMap.Module
`public static final int` | `COMPILED_SOURCE_FIELD_NUMBER` | `103`
`public static final int` | `NAME_FIELD_NUMBER` | `102`

com.google.javascript.jscomp.Instrumentation
`public static final int` | `APP_NAME_SETTER_FIELD_NUMBER` | `5`
`public static final int` | `DECLARATION_TO_REMOVE_FIELD_NUMBER` | `3`
`public static final int` | `INIT_FIELD_NUMBER` | `4`
`public static final int` | `REPORT_CALL_FIELD_NUMBER` | `2`
`public static final int` | `REPORT_DEFINED_FIELD_NUMBER` | `1`
`public static final int` | `REPORT_EXIT_FIELD_NUMBER` | `6`

com.google.javascript.jscomp.ObjectPropertyStringPreprocess
`public static final String` | `EXTERN_OBJECT_PROPERTY_STRING` | `"JSCompiler_ObjectPropertyString"`

com.google.javascript.jscomp.SymbolTable
`public static final String` | `GLOBAL_THIS` | `"*global*"`

com.google.javascript.jscomp.TypeCheck
`protected static final String` | `OVERRIDING_PROTOTYPE_WITH_NON_OBJECT` | `"overriding prototype with non-object"`

com.google.javascript.jscomp.graph.FixedPointGraphTraversal<N,E>
`public static final String` | `NON_HALTING_ERROR_MSG` | `"Fixed point computation not halting"`

com.google.javascript.jscomp.jsonml.Validator
`public static final String` | `MISSING_ARGUMENT` | `"No %s attribute specified for %s."`
`public static final String` | `NOT_ENOUGH_CHILDREN_FMT` | `"Not enough children for %s. Expected: %d. Found: %d."`
`public static final String` | `TOO_MANY_CHILDREN_FMT` | `"Too many children for %s. Expected: %d. Found: %d."`
`public static final String` | `WRONG_CHILD_TYPE_FMT` | `"Wrong type of child number %d for %s. Expected: %s. Found: %s."`

com.google.javascript.rhino.InputId
`public static final long` | `serialVersionUID` | `1L`

com.google.javascript.rhino.Node
`public static final int` | `BRACELESS_TYPE` | `41`
`public static final int` | `COLUMN_BITS` | `12`
`public static final int` | `COLUMN_MASK` | `4095`
`public static final int` | `DECR_FLAG` | `1`
`public static final int` | `DIRECT_EVAL` | `49`
`public static final int` | `DIRECTIVES` | `48`
`public static final int` | `EMPTY_BLOCK` | `39`
`public static final int` | `FLAG_ARGUMENTS_UNMODIFIED` | `4`
`public static final int` | `FLAG_GLOBAL_STATE_UNMODIFIED` | `1`
`public static final int` | `FLAG_LOCAL_RESULTS` | `16`
`public static final int` | `FLAG_NO_THROWS` | `8`
`public static final int` | `FLAG_THIS_UNMODIFIED` | `2`
`public static final int` | `FREE_CALL` | `50`
`public static final int` | `INCRDECR_PROP` | `32`
`public static final int` | `INPUT_ID` | `53`
`public static final int` | `IS_CONSTANT_NAME` | `43`
`public static final int` | `IS_DISPATCHER` | `47`
`public static final int` | `IS_NAMESPACE` | `46`
`public static final int` | `IS_OPTIONAL_PARAM` | `44`
`public static final int` | `IS_VAR_ARGS_PARAM` | `45`
`public static final int` | `JSDOC_INFO_PROP` | `29`
`public static final int` | `LAST_PROP` | `54`
`public static final int` | `LENGTH` | `52`
`public static final int` | `MAX_COLUMN_NUMBER` | `4095`
`public static final int` | `NO_SIDE_EFFECTS` | `15`
`public static final int` | `OPT_ARG_NAME` | `37`
`public static final int` | `ORIGINALNAME_PROP` | `40`
`public static final int` | `PARENTHESIZED_PROP` | `35`
`public static final int` | `POST_FLAG` | `2`
`public static final int` | `QUOTED_PROP` | `36`
`public static final int` | `SIDE_EFFECT_FLAGS` | `42`
`public static final int` | `SIDE_EFFECTS_ALL` | `0`
`public static final int` | `SIDE_EFFECTS_FLAGS_MASK` | `31`
`public static final int` | `SLASH_V` | `54`
`public static final int` | `SOURCENAME_PROP` | `16`
`public static final int` | `STATIC_SOURCE_FILE` | `51`
`public static final int` | `SYNTHETIC_BLOCK_PROP` | `38`
`public static final int` | `VAR_ARGS_NAME` | `30`

com.google.javascript.rhino.Token
`public static final int` | `ADD` | `21`
`public static final int` | `AND` | `101`
`public static final int` | `ANNOTATION` | `300`
`public static final int` | `ARRAYLIT` | `63`
`public static final int` | `ASSIGN` | `86`
`public static final int` | `ASSIGN_ADD` | `93`
`public static final int` | `ASSIGN_BITAND` | `89`
`public static final int` | `ASSIGN_BITOR` | `87`
`public static final int` | `ASSIGN_BITXOR` | `88`
`public static final int` | `ASSIGN_DIV` | `96`
`public static final int` | `ASSIGN_LSH` | `90`
`public static final int` | `ASSIGN_MOD` | `97`
`public static final int` | `ASSIGN_MUL` | `95`
`public static final int` | `ASSIGN_RSH` | `91`
`public static final int` | `ASSIGN_SUB` | `94`
`public static final int` | `ASSIGN_URSH` | `92`
`public static final int` | `BANG` | `306`
`public static final int` | `BITAND` | `11`
`public static final int` | `BITNOT` | `27`
`public static final int` | `BITOR` | `9`
`public static final int` | `BITXOR` | `10`
`public static final int` | `BLOCK` | `125`
`public static final int` | `BREAK` | `116`
`public static final int` | `CALL` | `37`
`public static final int` | `CASE` | `111`
`public static final int` | `CATCH` | `120`
`public static final int` | `COLON` | `310`
`public static final int` | `COMMA` | `85`
`public static final int` | `CONST` | `149`
`public static final int` | `CONTINUE` | `117`
`public static final int` | `DEBUGGER` | `152`
`public static final int` | `DEC` | `103`
`public static final int` | `DEFAULT` | `112`
`public static final int` | `DEFAULT_CASE` | `112`
`public static final int` | `DELPROP` | `31`
`public static final int` | `DIV` | `24`
`public static final int` | `DO` | `114`
`public static final int` | `ELLIPSIS` | `305`
`public static final int` | `EMPTY` | `124`
`public static final int` | `EOC` | `303`
`public static final int` | `EQ` | `12`
`public static final int` | `EQUALS` | `307`
`public static final int` | `ERROR` | `-1`
`public static final int` | `EXPR_RESULT` | `130`
`public static final int` | `FALSE` | `43`
`public static final int` | `FOR` | `115`
`public static final int` | `FUNCTION` | `105`
`public static final int` | `GE` | `17`
`public static final int` | `GET` | `147`
`public static final int` | `GETELEM` | `35`
`public static final int` | `GETPROP` | `33`
`public static final int` | `GETTER_DEF` | `147`
`public static final int` | `GT` | `16`
`public static final int` | `HOOK` | `98`
`public static final int` | `IF` | `108`
`public static final int` | `IN` | `51`
`public static final int` | `INC` | `102`
`public static final int` | `INSTANCEOF` | `52`
`public static final int` | `LABEL` | `126`
`public static final int` | `LABEL_NAME` | `153`
`public static final int` | `LB` | `308`
`public static final int` | `LC` | `309`
`public static final int` | `LE` | `15`
`public static final int` | `LP` | `83`
`public static final int` | `LSH` | `18`
`public static final int` | `LT` | `14`
`public static final int` | `MOD` | `25`
`public static final int` | `MUL` | `23`
`public static final int` | `NAME` | `38`
`public static final int` | `NE` | `13`
`public static final int` | `NEG` | `29`
`public static final int` | `NEW` | `30`
`public static final int` | `NOT` | `26`
`public static final int` | `NULL` | `41`
`public static final int` | `NUMBER` | `39`
`public static final int` | `OBJECTLIT` | `64`
`public static final int` | `OR` | `100`
`public static final int` | `PARAM_LIST` | `83`
`public static final int` | `PIPE` | `301`
`public static final int` | `POS` | `28`
`public static final int` | `QMARK` | `304`
`public static final int` | `REGEXP` | `47`
`public static final int` | `RETURN` | `4`
`public static final int` | `RSH` | `19`
`public static final int` | `SCRIPT` | `132`
`public static final int` | `SET` | `148`
`public static final int` | `SETTER_DEF` | `148`
`public static final int` | `SHEQ` | `45`
`public static final int` | `SHNE` | `46`
`public static final int` | `STAR` | `302`
`public static final int` | `STRING` | `40`
`public static final int` | `SUB` | `22`
`public static final int` | `SWITCH` | `110`
`public static final int` | `THIS` | `42`
`public static final int` | `THROW` | `49`
`public static final int` | `TRUE` | `44`
`public static final int` | `TRY` | `77`
`public static final int` | `TYPEOF` | `32`
`public static final int` | `URSH` | `20`
`public static final int` | `VAR` | `118`
`public static final int` | `VOID` | `122`
`public static final int` | `WHILE` | `113`
`public static final int` | `WITH` | `119`

com.google.javascript.rhino.jstype.JSType
`public static final String` | `EMPTY_TYPE_COMPONENT` | `"Named type with empty name component"`
`public static final int` | `ENUMDECL` | `1`
`public static final String` | `NOT_A_CLASS` | `"Not declared as a constructor"`
`public static final String` | `NOT_A_TYPE` | `"Not declared as a type name"`
`public static final int` | `NOT_ENUMDECL` | `0`
`public static final String` | `UNKNOWN_NAME` | `"Unknown class name"`

com.google.javascript.rhino.testing.BaseJSTypeTestCase

`public static final String`

`ALL_NATIVE_EXTERN_TYPES`

`"/**\n * @constructor\n * @param {*} opt_value\n */\nfunction Object(opt_value) {}\n\n/**\n * @constructor\n * @extends {Object}\n * @param {*} var_args\n */\n\nfunction Function(var_args) {}\n/**\n * @constructor\n * @extends {Object}\n * @param {*} var_args\n * @return {!Array}\n */\nfunction Array(var_args) {}\n\n/**\n * @constructor\n * @param {*} opt_value\n * @return {boolean}\n */\nfunction Boolean(opt_value) {}\n\n/**\n * @constructor\n * @param {*} opt_value\n * @return {number}\n */\nfunction Number(opt_value) {}\n\n/**\n * @constructor\n * @return {string}\n */\nfunction Date(opt_yr_num, opt_mo_num, opt_day_num, opt_hr_num, opt_min_num, opt_sec_num, opt_ms_num) {}\n\n/**\n * @constructor\n * @extends {Object}\n * @param {*} opt_str\n * @return {string}\n */\nfunction String(opt_str) {}\n\n/**\n * @constructor\n * @param {*} opt_pattern\n * @param {*} opt_flags\n * @return {!RegExp}\n */\nfunction RegExp(opt_pattern, opt_flags) {}\n\n/**\n * @constructor\n * @param {*} opt_message\n * @param {*} opt_file\n * @param {*} opt_line\n * @return {!Error}\n */\nfunction Error(opt_message, opt_file, opt_line) {}\n\n/**\n * @constructor\n * @extends {Error}\n * @param {*} opt_message\n * @param {*} opt_file\n * @param {*} opt_line\n * @return {!EvalError}\n */\nfunction EvalError(opt_message, opt_file, opt_line) {}\n\n/**\n * @constructor\n * @extends {Error}\n * @param {*} opt_message\n * @param {*} opt_file\n * @param {*} opt_line\n * @return {!RangeError}\n */\nfunction RangeError(opt_message, opt_file, opt_line) {}\n\n/**\n * @constructor\n * @extends {Error}\n * @param {*} opt_message\n * @param {*} opt_file\n * @param {*} opt_line\n * @return {!ReferenceError}\n */\nfunction ReferenceError(opt_message, opt_file, opt_line) {}\n\n/**\n * @constructor\n * @extends {Error}\n * @param {*} opt_message\n * @param {*} opt_file\n * @param {*} opt_line\n * @return {!SyntaxError}\n */\nfunction SyntaxError(opt_message, opt_file, opt_line) {}\n\n/**\n * @constructor\n * @extends {Error}\n * @param {*} opt_message\n * @param {*} opt_file\n * @param {*} opt_line\n * @return {!TypeError}\n */\nfunction TypeError(opt_message, opt_file, opt_line) {}\n\n/**\n * @constructor\n * @extends {Error}\n * @param {*} opt_message\n * @param {*} opt_file\n * @param {*} opt_line\n * @return {!URIError}\n */\nfunction URIError(opt_message, opt_file, opt_line) {}\n\n/**\n * @param {string} progId\n * @param {string} opt_location\n * @constructor\n */\nfunction ActiveXObject(progId, opt_location) {}\n"`